package com.bjtdba.userCenter.service;

import com.bjtdba.entity.userCenter.UserClockes;
import com.bjtdba.userCenter.vo.ClockesVo;

import java.util.List;

/**
 * 用户步数表(UserClockes)表服务接口
 *
 * @author 何海强
 * @since 2022-11-11 10:08:56
 */
public interface UserClockesService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UserClockes queryById(Integer id);

    /**
     * 分页查询
     *
     * @param userClockes 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
//    Page<UserClockes> queryByPage(UserClockes userClockes, PageRequest pageRequest);
    public List<UserClockes> queryList(UserClockes userClockes);

    public long count(UserClockes userClockes);

    public Long sumNum(Integer uid);

    /**
     * 新增数据
     *
     * @param userClockes 实例对象
     * @return 实例对象
     */
    UserClockes insert(UserClockes userClockes);

    /**
     * 修改数据
     *
     * @param userClockes 实例对象
     * @return 实例对象
     */
    UserClockes update(UserClockes userClockes);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    public UserClockes queryByUid(Integer uid);

    public Integer queryClockeUid(Integer uid);
    /**
     * 排名
     * @return
     */
    public List<ClockesVo> countList(String type);

}
